/*
 * Copyright 2013 David Tinker
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package io.qdb.server.controller;

/**
 * Results in a 422 (default) or other status code being sent back to the client.
 */
public class BadRequestException extends RuntimeException {

    private int status;

    public BadRequestException(int status, String message) {
        super(message);
        this.status = status;
    }

    public BadRequestException(String message) {
        this(422, message);
    }

    public int getStatus() {
        return status;
    }
}
